program wincronshut;
{$APPTYPE CONSOLE}
uses
  sysutils,windows,
  uTCronico in 'uTCronico.pas';

var
  CronIco: TCronIco;
  quiet: boolean;


begin
 if (paramcount=1) then
   if (uppercase(paramstr(1))='?') or
      (uppercase(paramstr(1))='H') or
      (uppercase(paramstr(1))='HELP') or
      (uppercase(paramstr(1))='/?') or
      (uppercase(paramstr(1))='-?') or
      (uppercase(paramstr(1))='--help') then
    begin
      writeln('WinCronShut v1.03 - a shutdown utility for your WinCron program.');
      writeln('see http://www.rype.de/cydo/cronico');
      writeln('(w) 2003 by D. Spreen (info@spreendigital.de)');
      writeln;
      writeln('syntax: WinCronShut.exe [/q]');
      writeln('                         /q  Quiet');
      halt;
    end;

 CronIco := TCronIco.Create(0);

 repeat
 CronIco.GetWinCrons;

 quiet := false;

 if (paramcount=1) then
 if (uppercase(paramstr(1))='/Q') then quiet := true;

 if not quiet then
   writeln (inttostr(CronIco.WinCrons.Count)+' WinCron(s) found - starting to kill');

 CronIco.KillAll;
 sleep(500);
 CronIco.GetWinCrons;
until (CronIco.WinCrons.Count=0);

 CronIco.Free;
end.

